@echo off

echo Compiling generators...

dcc32 -CC gen_random >nul


echo Deleting old files

if exist "%~dp0*.out" del "%~dp0*.out" > nul

for /l %%i in (3,1,200) do (
  if exist %%i.in (
    del %%i.in > nul
  )
)

echo Generating tests...

gen_random 3
gen_random 4
gen_random 5
gen_random 9
gen_random 11
gen_random 25
gen_random 100
gen_random 1000000
gen_random 9999999
gen_random 1000000000
gen_random 725594112
gen_random 807206400
gen_random 179424673
gen_random 999999937
gen_random 999950884
gen_random 223092870
gen_random 387420489
gen_random
gen_random
gen_random
gen_random
gen_random

echo Getting answers with model solution

for /l %%i in (1,1,200) do (
  if exist %%i.in (
    copy %%i.in input.txt > nul
    solution.exe > nul
    copy output.txt %%i.out > nul
    del input.txt > nul
    del output.txt > nul
  )
)